org.apache.lucene.payloads

## Class PayloadSpanCollector

- java.lang.Object
- - org.apache.lucene.payloads.PayloadSpanCollector

All Implemented Interfaces:
  SpanCollector

    public class PayloadSpanCollector
    extends Object
    implements SpanCollector

SpanCollector for collecting payloads

### Constructor Summary

Constructors
Constructor and Description
`PayloadSpanCollector()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `collectLeaf(PostingsEnum postings, int position, Term term)`
`Collection<byte[]>` `getPayloads()`
`void` `reset()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PayloadSpanCollector

    public PayloadSpanCollector()

### Method Detail

#### collectLeaf

    public void collectLeaf(PostingsEnum postings,
                            int position,
                            Term term)
                     throws IOException

Specified by:
  `collectLeaf` in interface `SpanCollector`
Throws:
  `IOException`

#### reset

    public void reset()

Specified by:
  `reset` in interface `SpanCollector`

#### getPayloads

    public Collection<byte[]> getPayloads()

Returns:
  the collected payloads